xgboost

Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
xgboost::common::CutsBuilder Class Referenceabstract

`#include <hist_util.h>`

Inheritance diagram for xgboost::common::CutsBuilder:
Collaboration diagram for xgboost::common::CutsBuilder:

## Public Types
using | WQSketch = common::WQuantileSketch< bst_float, bst_float >

## Public Member Functions
| CutsBuilder (HistogramCuts *p_cuts)
virtual | ~CutsBuilder ()=default
void | AddCutPoint (WQSketch::SummaryContainer const &summary, int max_bin)
virtual void | Build (DMatrix *dmat, uint32_t const max_num_bins)=0

## Static Public Member Functions
static bool | UseGroup (DMatrix *dmat)
static bool | UseGroup (MetaInfo const &info)
static uint32_t | SearchGroupIndFromRow (std::vector< bst_uint > const &group_ptr, size_t const base_rowid)

## Protected Attributes
HistogramCuts * | p_cuts_

## Member Typedef Documentation

## ◆ WQSketch

using xgboost::common::CutsBuilder::WQSketch = common::WQuantileSketch<bst_float, bst_float>

## Constructor & Destructor Documentation

## ◆ CutsBuilder()

xgboost::common::CutsBuilder::CutsBuilder | ( | HistogramCuts * | p_cuts | ) |
| inline explicit

## ◆ ~CutsBuilder()

virtual xgboost::common::CutsBuilder::~CutsBuilder | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ AddCutPoint()

void xgboost::common::CutsBuilder::AddCutPoint | ( | WQSketch::SummaryContainer const & | summary,
|  | int | max_bin
| ) |  |
| inline

## ◆ Build()

virtual void xgboost::common::CutsBuilder::Build | ( | DMatrix * | dmat,
|  | uint32_t const | max_num_bins
| ) |  |
| pure virtual

Implemented in xgboost::common::DenseCuts, and xgboost::common::SparseCuts.

## ◆ SearchGroupIndFromRow()

static uint32_t xgboost::common::CutsBuilder::SearchGroupIndFromRow | ( | std::vector< bst_uint > const & | group_ptr,
|  | size_t const | base_rowid
| ) |  |
| inline static

## ◆ UseGroup() [1/2]

static bool xgboost::common::CutsBuilder::UseGroup | ( | DMatrix * | dmat | ) |
| static

## ◆ UseGroup() [2/2]

static bool xgboost::common::CutsBuilder::UseGroup | ( | MetaInfo const & | info | ) |
| static

## Member Data Documentation

## ◆ p_cuts_

HistogramCuts* xgboost::common::CutsBuilder::p_cuts_
| protected

The documentation for this class was generated from the following file:

- /workspace/src/common/hist_util.h